#tag: mgrubb@fifthvision.net Wed Apr 24 16:12:17 CDT 2002 (ticket-pickup/TicketPickup.pm)
#Released under the terms of the GNU General Public License (See =COPYING)
#Copyright (C) 2002 Michael Grubb

package RT::Condition::TicketPickup;
require RT::Condition::Generic;
use RT::User;

@ISA = qw(RT::Condition::Generic);


=head2 IsApplicable

This returns true, if the ticket status is new and the previous owner was
nobody.

=cut

sub IsApplicable {
    my $self = shift;

	my $retval = undef;
	my $owner = new RT::User( $self->TransactionObj->CurrentUser );
	$owner->Load($self->TransactionObj->OldValue);
	my $owner_name = $owner->__Value("name");
	if( $self->TransactionObj->Field =~ m/Owner/i &&
		$owner_name =~ m/Nobody/i &&
		$self->TicketObj->Status =~ m/new/i )
	{
		$retval++;
	}
    return($retval);
}

1;

