#!/bin/sh
#tag: mgrubb@fifthvision.net Wed Apr 24 16:09:19 CDT 2002 (ticket-pickup/install.sh)
#Released under the terms of the GNU General Public License (See =COPYING)
#Copyright (C) 2002 Michael Grubb

# Set this to the root of your rt installation
RT_PATH=/opt/rt2

# Set this to the path for local customizations
#### IT IS RECOMMENDED THAT THIS NOT BE THE SAME AS LIB BELOW ####
SITE_LIB=${RT_PATH}/site_lib

#This should be set to the path where the rt libs are found
# If the RT_PATH above is set correctly there should be no need
# to edit this value
LIB=${RT_PATH}/lib


#### Really there aren't any user servicable parts below here
TYPE="RT/Condition"
SITE_LIB="${SITE_LIB}/${TYPE}"
LIB="${LIB}/${TYPE}"
MODULES=./*.pm

if [ ! -d ${SITE_LIB} ]; then
	mkdir -p ${SITE_LIB}
	RC=$?
	if [ ${RC} -eq 0 ]; then
		for module in ${MODULES}; do
			if cp $module ${SITE_LIB}; then
				echo "Installed `basename $module` to ${SITE_LIB}"
			fi
			if [ ! "${LIB}" == "${SITE_LIB}" ]; then
				ln -s ${SITE_LIB}/`basename $module` ${LIB}/`basename $module`
			fi
		done
	fi
else
	for module in ${MODULES}; do
		if cp $module ${SITE_LIB}; then
			echo "Installed `basename $module` to ${SITE_LIB}"
		fi
		if [ ! "${LIB}" == "${SITE_LIB}" ]; then
			ln -s ${SITE_LIB}/`basename $module` ${LIB}/`basename $module`
		fi
	done
fi

